import request from '@/utils/request'

// 查询ai话术润色列表
export function listCrmCustomeraichat(query) {
  return request({
    url: '/crm/customer_ai_chat/list',
    method: 'get',
    params: query
  })
}

// 查询ai话术润色详细
export function getCrmCustomeraichat(id) {
  return request({
    url: '/crm/customer_ai_chat/' + id,
    method: 'get'
  })
}

// 新增ai话术润色
export function addCrmCustomeraichat(data) {
  return request({
    url: '/crm/customer_ai_chat',
    method: 'post',
    data: data
  })
}

// 修改ai话术润色
export function updateCrmCustomeraichat(data) {
  return request({
    url: '/crm/customer_ai_chat',
    method: 'put',
    data: data
  })
}

// 删除ai话术润色
export function delCrmCustomeraichat(id) {
  return request({
    url: '/crm/customer_ai_chat/' + id,
    method: 'delete'
  })
}

// 导出ai话术润色
export function exportCrmCustomeraichat(query) {
  return request({
    url: '/crm/customer_ai_chat/export',
    method: 'post',
    params: query
  })
}
